PHPExcel_Chart

# Class: PHPExcel_Chart_DataSeries

Source Location: /PHPExcel/Chart/DataSeries.php

### Class Overview

PHPExcel_Chart_DataSeries

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

### Constants

- DIRECTION_BAR
- DIRECTION_COL
- DIRECTION_COLUMN
- DIRECTION_HORIZONTAL
- DIRECTION_VERTICAL
- GROUPING_CLUSTERED
- GROUPING_PERCENT_STACKED
- GROUPING_STACKED
- GROUPING_STANDARD
- STYLE_FILLED
- STYLE_LINEMARKER
- STYLE_MARKER
- STYLE_SMOOTHMARKER
- TYPE_AREACHART
- TYPE_AREACHART_3D
- TYPE_BARCHART
- TYPE_BARCHART_3D
- TYPE_BUBBLECHART
- TYPE_DONUTCHART
- TYPE_DOUGHTNUTCHART
- TYPE_LINECHART
- TYPE_LINECHART_3D
- TYPE_PIECHART
- TYPE_PIECHART_3D
- TYPE_RADARCHART
- TYPE_SCATTERCHART
- TYPE_STOCKCHART
- TYPE_SURFACECHART
- TYPE_SURFACECHART_3D

### Methods

- __construct
- getPlotCategories
- getPlotCategoryByIndex
- getPlotDirection
- getPlotGrouping
- getPlotLabelByIndex
- getPlotLabels
- getPlotOrder
- getPlotSeriesCount
- getPlotStyle
- getPlotType
- getPlotValues
- getPlotValuesByIndex
- getSmoothLine
- refresh
- setPlotDirection
- setPlotGrouping
- setPlotStyle
- setPlotType
- setSmoothLine

### Class Details

[line 36]
PHPExcel_Chart_DataSeries

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### constructor __construct [line 139]

`PHPExcel_Chart_DataSeries __construct( [ $plotType = null], [ $plotGrouping = null], [ $plotOrder = array()], [ $plotLabel = array()], [ $plotCategory = array()], [ $plotValues = array()], [ $smoothLine = null], [ $plotStyle = null])`

Create a new PHPExcel_Chart_DataSeries

#### Tags:

access: | public

#### Parameters:

| $plotType |
| $plotGrouping |
| $plotOrder |
| $plotLabel |
| $plotCategory |
| $plotValues |
| $smoothLine |
| $plotStyle |

[ Top ]

### method getPlotCategories [line 251]

`array getPlotCategories( )`

Get Plot Categories

#### Tags:

return: | of PHPExcel_Chart_DataSeriesValues
access: | public

[ Top ]

### method getPlotCategoryByIndex [line 260]

`PHPExcel_Chart_DataSeriesValues getPlotCategoryByIndex( $index)`

Get Plot Category by Index

#### Tags:

access: | public

#### Parameters:

| $index |

[ Top ]

### method getPlotDirection [line 200]

`string getPlotDirection( )`

Get Plot Direction

#### Tags:

access: | public

[ Top ]

### method getPlotGrouping [line 182]

`string getPlotGrouping( )`

Get Plot Grouping Type

#### Tags:

access: | public

[ Top ]

### method getPlotLabelByIndex [line 236]

`PHPExcel_Chart_DataSeriesValues getPlotLabelByIndex( $index)`

Get Plot Label by Index

#### Tags:

access: | public

#### Parameters:

| $index |

[ Top ]

### method getPlotLabels [line 227]

`array getPlotLabels( )`

Get Plot Labels

#### Tags:

return: | of PHPExcel_Chart_DataSeriesValues
access: | public

[ Top ]

### method getPlotOrder [line 218]

`string getPlotOrder( )`

Get Plot Order

#### Tags:

access: | public

[ Top ]

### method getPlotSeriesCount [line 317]

`integer getPlotSeriesCount( )`

Get Number of Plot Series

#### Tags:

access: | public

[ Top ]

### method getPlotStyle [line 275]

`string getPlotStyle( )`

Get Plot Style

#### Tags:

access: | public

[ Top ]

### method getPlotType [line 164]

`string getPlotType( )`

Get Plot Type

#### Tags:

access: | public

[ Top ]

### method getPlotValues [line 293]

`array getPlotValues( )`

Get Plot Values

#### Tags:

return: | of PHPExcel_Chart_DataSeriesValues
access: | public

[ Top ]

### method getPlotValuesByIndex [line 302]

`PHPExcel_Chart_DataSeriesValues getPlotValuesByIndex( $index)`

Get Plot Values by Index

#### Tags:

access: | public

#### Parameters:

| $index |

[ Top ]

### method getSmoothLine [line 326]

`boolean getSmoothLine( )`

Get Smooth Line

#### Tags:

access: | public

[ Top ]

### method refresh [line 339]

`void refresh( PHPExcel_Worksheet $worksheet)`

#### Tags:

access: | public

#### Parameters:

PHPExcel_Worksheet | $worksheet |

[ Top ]

### method setPlotDirection [line 209]

`void setPlotDirection( [string $plotDirection = null])`

Set Plot Direction

#### Tags:

access: | public

#### Parameters:

string | $plotDirection |

[ Top ]

### method setPlotGrouping [line 191]

`void setPlotGrouping( [string $groupingType = null])`

Set Plot Grouping Type

#### Tags:

access: | public

#### Parameters:

string | $groupingType |

[ Top ]

### method setPlotStyle [line 284]

`void setPlotStyle( [string $plotStyle = null])`

Set Plot Style

#### Tags:

access: | public

#### Parameters:

string | $plotStyle |

[ Top ]

### method setPlotType [line 173]

`void setPlotType( [string $plotType = ''])`

Set Plot Type

#### Tags:

access: | public

#### Parameters:

string | $plotType |

[ Top ]

### method setSmoothLine [line 335]

`void setSmoothLine( [boolean $smoothLine = TRUE])`

Set Smooth Line

#### Tags:

access: | public

#### Parameters:

boolean | $smoothLine |

[ Top ]

### Class Constants

#### DIRECTION_BAR = 'bar'

[line 61]

[ Top ]

#### DIRECTION_COL = 'col'

[line 63]

[ Top ]

#### DIRECTION_COLUMN = self::DIRECTION_COL

[line 64]

[ Top ]

#### DIRECTION_HORIZONTAL = self::DIRECTION_BAR

[line 62]

[ Top ]

#### DIRECTION_VERTICAL = self::DIRECTION_COL

[line 65]

[ Top ]

#### GROUPING_CLUSTERED = 'clustered'

[line 56]

[ Top ]

#### GROUPING_PERCENT_STACKED = 'percentStacked'

[line 58]

[ Top ]

#### GROUPING_STACKED = 'stacked'

[line 57]

[ Top ]

#### GROUPING_STANDARD = 'standard'

[line 59]

[ Top ]

#### STYLE_FILLED = 'filled'

[line 70]

[ Top ]

#### STYLE_LINEMARKER = 'lineMarker'

[line 67]

[ Top ]

#### STYLE_MARKER = 'marker'

[line 69]

[ Top ]

#### STYLE_SMOOTHMARKER = 'smoothMarker'

[line 68]

[ Top ]

#### TYPE_AREACHART = 'areaChart'

[line 43]

[ Top ]

#### TYPE_AREACHART_3D = 'area3DChart'

[line 44]

[ Top ]

#### TYPE_BARCHART = 'barChart'

[line 39]

[ Top ]

#### TYPE_BARCHART_3D = 'bar3DChart'

[line 40]

[ Top ]

#### TYPE_BUBBLECHART = 'bubbleChart'

[line 53]

[ Top ]

#### TYPE_DONUTCHART = self::TYPE_DOUGHTNUTCHART

[line 48]

[ Top ]

#### TYPE_DOUGHTNUTCHART = 'doughnutChart'

[line 47]

[ Top ]

#### TYPE_LINECHART = 'lineChart'

[line 41]

[ Top ]

#### TYPE_LINECHART_3D = 'line3DChart'

[line 42]

[ Top ]

#### TYPE_PIECHART = 'pieChart'

[line 45]

[ Top ]

#### TYPE_PIECHART_3D = 'pie3DChart'

[line 46]

[ Top ]

#### TYPE_RADARCHART = 'radarChart'

[line 52]

[ Top ]

#### TYPE_SCATTERCHART = 'scatterChart'

[line 49]

[ Top ]

#### TYPE_STOCKCHART = 'stockChart'

[line 54]

[ Top ]

#### TYPE_SURFACECHART = 'surfaceChart'

[line 50]

[ Top ]

#### TYPE_SURFACECHART_3D = 'surface3DChart'

[line 51]

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:15:38 +0200 by phpDocumentor 1.4.4